Subject: Re: FRRO STATUS
From: Ahmed Samir <[email-masked]>
To: Swati Shukla <[email-masked]>
Cc: [email-masked]
Date: Mon, 3 Apr 2017 10:32:22 +0530 (IST)

Hi Swati, 

I am really fed up with these guys at the FRRO. The FRRO was supposed to be handled to me on 27th of March, however, every time i go there, they come up with an excuse after sitting there for 45 minutes, like for instance, the past week i went there three times to finish things, they told me once come on 27th of march to take it, when i went there, they told me wait until 30th of march as it only pending a signature, when i went on the specified date, they told me that the authorized person has been changed!!! 

If your remember, as i told you, they took two weeks as the police courier went to a wrong place to confirm my address! Although the form is submitted by the end of February!!! 

I am feeling helpless and frustrated, it is like exerting a lot of effort on something that was supposed to be finished within two weeks, but what happens is that they try to postpone their work as much as possible. 

Apologies for elaborating that much, but i am trying to portray what happens to each one of us (Foreigners) when we try to submit papers, forms, etc.. 

As usual in these past weeks, i will go and try to get it today, hopefully they have signed it, and i will be able to give the copy to you. 

Regards, 

Samir 

From: "Swati Shukla" <[email-masked]> 
To: "Ahmed Samir" <[email-masked]> 
Cc: "Apurva Arora" <[email-masked]> 
Sent: Monday, April 3, 2017 10:22:21 AM 
Subject: Re: FRRO STATUS 

Hi Samir 

What is the status of your FRRO. Please update us. 

Best Regards 
Swati Shukla 

From: "Ahmed Samir" <[email-masked]> 
To: "Swati Shukla" <[email-masked]> 
Sent: Wednesday, March 15, 2017 7:14:16 AM 
Subject: Re: FRRO STATUS 

Dear Swati, 

Thank you for following up. My FRRO has been submitted two weeks ago, however, these guys take a lot of time to finish procedures, and you are totally aware that I have submitted it directly after getting the needed document from the owner of our rented apartment. 

Also, I have an issue to share with you, I was not able to withdraw money via Airtel, as whenever I go to one of their outlets, they say (always) we do not have enough cash, come later etc. 

I am tired of their excuses, as i am running out of cash due to some incident. Please consider this matter, and advise with any sort of solution if possible. 

Awaiting your usual cooperation. 

Best regards, 

Samir 

From: "Swati Shukla" <[email-masked]> 
To: "Ahmed Samir" <[email-masked]> 
Sent: Tuesday, March 14, 2017 5:50:25 PM 
Subject: FRRO STATUS 

Hi Samir 

Please update me and HR regarding your FRRO status on asap basis. You joined this organisation on 09.01.2017 and its already past 2 months but we have not received your complete FRRO till date. 

You are requested to not delay it anymore and proceed with it on urgent basis. 

Best Regards 
Swati Shukla